package com.izouma.awesomeadmin.model;

import java.math.BigDecimal;
import java.util.*;
import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;


@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ImageDownLog{
    private Integer id;
    private String delFlag;
    private Date updateTime;
    private String updateUser;
    private Date createTime;
    private String createUser;
    private String orderId;
    private String typeFlag;
    private String imageName;
    private Integer statusFlag;
    private BigDecimal imageSize;
    private String imageCode;
    private Integer totalNum;
    private Integer nowNum;

private String idStr;

private String searchKey;

/**
* and,test_name,like,value;or,remark,=,123
*/
private String advancedQuery;

/**
* column_name_,desc_;column_name_,asc
*/
private String orderByStr;

    public Integer getId(){
        return this.id;
    }

    public void setId(Integer id){
        this.id = id;
    }
    public String getDelFlag(){
        return this.delFlag;
    }

    public void setDelFlag(String delFlag){
        this.delFlag = delFlag;
    }
    public Date getUpdateTime(){
        return this.updateTime;
    }

    public void setUpdateTime(Date updateTime){
        this.updateTime = updateTime;
    }
    public String getUpdateUser(){
        return this.updateUser;
    }

    public void setUpdateUser(String updateUser){
        this.updateUser = updateUser;
    }
    public Date getCreateTime(){
        return this.createTime;
    }

    public void setCreateTime(Date createTime){
        this.createTime = createTime;
    }
    public String getCreateUser(){
        return this.createUser;
    }

    public void setCreateUser(String createUser){
        this.createUser = createUser;
    }
    public String getOrderId(){
        return this.orderId;
    }

    public void setOrderId(String orderId){
        this.orderId = orderId;
    }
    public String getTypeFlag(){
        return this.typeFlag;
    }

    public void setTypeFlag(String typeFlag){
        this.typeFlag = typeFlag;
    }
    public String getImageName(){
        return this.imageName;
    }

    public void setImageName(String imageName){
        this.imageName = imageName;
    }
    public Integer getStatusFlag(){
        return this.statusFlag;
    }

    public void setStatusFlag(Integer statusFlag){
        this.statusFlag = statusFlag;
    }
    public BigDecimal getImageSize(){
        return this.imageSize;
    }

    public void setImageSize(BigDecimal imageSize){
        this.imageSize = imageSize;
    }
    public String getImageCode(){
        return this.imageCode;
    }

    public void setImageCode(String imageCode){
        this.imageCode = imageCode;
    }
    public Integer getTotalNum(){
        return this.totalNum;
    }

    public void setTotalNum(Integer totalNum){
        this.totalNum = totalNum;
    }
    public Integer getNowNum(){
        return this.nowNum;
    }

    public void setNowNum(Integer nowNum){
        this.nowNum = nowNum;
    }

public String getSearchKey() {
    return searchKey;
}

public void setSearchKey(String searchKey) {
    this.searchKey = searchKey;
}

public String getAdvancedQuery() {
    return advancedQuery;
}

public void setAdvancedQuery(String advancedQuery) {
    this.advancedQuery = advancedQuery;
}

public String getOrderByStr() {
    return orderByStr;
}

public void setOrderByStr(String orderByStr) {
    this.orderByStr = orderByStr;
}

public String getIdStr() {
    return idStr;
}

public void setIdStr(String idStr) {
    this.idStr = idStr;
}

}

